/**
 * The FixtureFactory is initialised by the individual test files:
 * fixtures("mycompany.tutorial.tile.testing.TileFixtureFactory") phrase.
 */
'use strict';
var topiarist = require('topiarist');
var PresenterComponentFixture = require('caplin/presenter/testing/PresenterComponentFixture');
var FixtureFactory = require('caplin/testing/FixtureFactory');
var TilePresentationModel = require('mycompany/tutorial/tile/TilePresentationModel');

function TileFixtureFactory() {
}

topiarist.extend(TileFixtureFactory, FixtureFactory);

/**
 * This method is called after the fixture factory is initialised.
 *
 * @param {GwtTestRunner} testRunner - Test runner.
 */
TileFixtureFactory.prototype.addFixtures = function(testRunner) {
	//Add Presenter Component Fixture for tile
	this._componentFixture = new PresenterComponentFixture(
	'mycompany.tutorial.tile.tile-template',
	'mycompany.tutorial.tile.TilePresentationModel');
	testRunner.addFixture('tile', this._componentFixture); // tile.*
};

module.exports = TileFixtureFactory;
